## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 20;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate diskonaut

Name:           rust-diskonaut
Version:        0.11.0
Release:        %autorelease
Summary:        Terminal disk space visual navigator

License:        MIT
URL:            https://crates.io/crates/diskonaut
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          diskonaut-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * various dependency updates: https://github.com/imsnif/diskonaut/pull/100
Patch:          diskonaut-fix-metadata.diff
Patch:          port-dependencies.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Terminal disk space visual navigator.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
License:        MIT AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc CODE_OF_CONDUCT.md
%doc CONTRIBUTING.md
%doc README.md
%{_bindir}/diskonaut

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Mon Nov 04 2024 Fabio Valentini <decathorpe@gmail.com> - 0.11.0-20
- Port to versions of dependencies from this decade

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.11.0-18
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Fabio Valentini <decathorpe@gmail.com> - 0.11.0-15
- Regenerate with rust2rpm v24 and update license tag

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.11.0-11
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros.

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.11.0-8
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 26 2021 Fabio Valentini <decathorpe@gmail.com> - 0.11.0-6
- Update insta to 1.7

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> - 0.11.0-5
- Rebuild with crossbeam-deque 0.8.1 / 0.7.4 for CVE-2021-32810

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 10 20:44:10 CET 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.11.0-2
- Update jwalk to 0.6

* Sun Oct 25 2020 Fabio Valentini <decathorpe@gmail.com> - 0.11.0-1
- Update to version 0.11.0.

* Sat Sep 12 16:09:22 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.0-1
- Update 0.10.0

* Sun Aug 16 15:01:11 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.9.0-4
- Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 24 13:49:33 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.0-1
- Update 0.9.0

* Thu Jul 09 20:14:20 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.0-1
- Update 0.8.0

* Sun Jul 05 00:25:42 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.0-1
- Update 0.7.0

* Fri Jul 03 10:46:13 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.0-1
- Update 0.6.0

* Sat Jun 27 14:17:05 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-1
- Update 0.5.0

* Sun Jun 21 15:24:15 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.0-1
- Update 0.3.0

* Fri Jun 19 00:52:23 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.0-1
- Update 0.2.0

* Thu Jun 18 00:27:52 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.0-1
- Initial package

## END: Generated by rpmautospec
